%define upstream_name    pod2pdf
%define upstream_version 0.42

%{?perl_default_filter}

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::ArgvFile)
BuildRequires: perl(PDF::API2)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::ParseLink)
BuildRequires: perl(Pod::Parser)
BuildArch: noarch

%description
A command line tool to convert Perl POD (= Plain Old Documentation) to PDF.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_bindir}/pod2pdf
%{_mandir}/man1/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.420.0-3.mga6
+ Revision: 1036248
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.420.0-2.mga6
+ Revision: 950559
- Mageia 6 Mass Rebuild

* Thu Nov 06 2014 shlomif <shlomif> 0.420.0-1.mga5
+ Revision: 795973
- New description
- Import pod2pdf


* Thu Nov 06 2014 cpan2dist 0.42-1mga
- initial mageia release, generated with cpan2dist
